Delete all block list entries
curl --request DELETE \
--url https://api.instantly.ai/api/v2/block-lists-entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/block-lists-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/block-lists-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/block-lists-entries")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/block-lists-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/block-lists-entries"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "01a082d0-3340-7b84-b073-b0a5ae6e259f",
"timestamp_created": "2026-09-08T20:57:57.824Z",
"organization_id": "01a082d0-3340-7b84-b073-b0a6763f0931",
"bl_value": "example.com",
"is_domain": true
}
]{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Block List Entry
Delete all block list entries
Requires one of the following scopes: block_list_entries:delete, block_list_entries:all, all:delete, all:all
DELETE
/
api
/
v2
/
block-lists-entries
Delete all block list entries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by domain
Example:
true
Search by value
Example:
"example.com"
Response
List of deleted Block List Entry
Unique identifier for the block list entry
Example:
"01a082d0-3340-7b84-b073-b0a5ae6e259f"
Timestamp when the block list entry was created
Example:
"2026-09-08T20:57:57.824Z"
Organization ID that owns this block list entry
Example:
"01a082d0-3340-7b84-b073-b0a6763f0931"
The email or domain to block
Example:
"example.com"
Whether this entry blocks an entire domain
Example:
true